
Redmine - Defect #3392

Issue categories length and utf-8 problem

2009-05-20 09:00 - Dr. Agon Smith

Status: Closed Start date: 2009-05-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 0.8.4

Description

When importing from trac using migrate_from_trac.rake I found issue categories names are сut off and their length is shorter then 30

characters (about 15 characters len). Issue categories were written in Russian in utf-8 encoding.

I looked for at the IssueCategory class definition and made sure it should be 30 char length. I'm using redmine 0.8.4.

Related issues:

Related to Redmine - Patch #1791: Raise issue-categories name length-limit fr... Closed 2008-08-14

Related to Redmine - Feature #3573: longer issue category names Closed 2009-07-01

Has duplicate Redmine - Defect #4990: Migrate from trac - Issue category abou... Closed 2010-03-05

Has duplicate Redmine - Defect #5154: Migrate from Trac with postgresql and m... Closed 2010-03-23

History

#1 - 2009-05-20 09:19 - Dr. Agon Smith

Forgot to mention. When I used migrate_from_trac.rake i've entered "UTF-8" (default answer).

#2 - 2009-05-20 09:20 - Dr. Agon Smith

Dr. Agon Smith wrote:

Forgot to mention. When I used migrate_from_trac.rake i've entered "UTF-8" (default answer) as database encoding.

#3 - 2010-03-07 10:21 - Mike Stupalov

Ok, the same problem in version 0.9.3. Details in the duplicated ticket #4990.

#4 - 2010-03-19 16:00 - Aleksey Hariton

I solve the same problem by adding

encoding: utf8

 in database.yml

Datebase was created with command

create database redmine character set utf8;

 My redmine version is 0.9.3

#5 - 2010-03-23 10:12 - Mike Stupalov

I solve problem. See #5154.

#6 - 2013-01-14 13:48 - Daniel Felix

Well this seems to be related to utf-8 datalenght.

If you define a database field which should hold 30 chars á 1byte, everything works fine. If you import utf-8 data which has 2 byte per char, everything

went wrong. (30/2 = 15 chars)

I'm not sure if this is solved due to recent changes in redmine, but it would be nice if someone could check this.

Please take also a look at #5154.
#7 - 2015-02-04 12:19 - Yar n

when it will be fixed?

#8 - 2015-02-04 12:28 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Wont fix

Character length is different in Ruby 1.8 or not.

1.8.7-head :001 > "日本語".length

 => 9

1.9.3-p551 :001 > "日本語".length

 => 3

#9 - 2015-02-04 12:33 - Toshi MARUYAMA

- Related to deleted (Defect #5154: Migrate from Trac with postgresql and more.)

#10 - 2015-02-04 12:33 - Toshi MARUYAMA

- Has duplicate Defect #5154: Migrate from Trac with postgresql and more. added
